# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/QueuesExtension/HgQueuesGuardsSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgQueuesGuardsSelectionDialog(object):
    def setupUi(self, HgQueuesGuardsSelectionDialog):
        HgQueuesGuardsSelectionDialog.setObjectName("HgQueuesGuardsSelectionDialog")
        HgQueuesGuardsSelectionDialog.resize(300, 300)
        HgQueuesGuardsSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgQueuesGuardsSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.guardsList = QtWidgets.QListWidget(parent=HgQueuesGuardsSelectionDialog)
        self.guardsList.setAlternatingRowColors(True)
        self.guardsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.guardsList.setObjectName("guardsList")
        self.verticalLayout.addWidget(self.guardsList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgQueuesGuardsSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgQueuesGuardsSelectionDialog)
        self.buttonBox.accepted.connect(HgQueuesGuardsSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgQueuesGuardsSelectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgQueuesGuardsSelectionDialog)
        HgQueuesGuardsSelectionDialog.setTabOrder(self.guardsList, self.buttonBox)

    def retranslateUi(self, HgQueuesGuardsSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        HgQueuesGuardsSelectionDialog.setWindowTitle(_translate("HgQueuesGuardsSelectionDialog", "Select Guards"))
